Page MenuHomePhabricator

Create minimal CSS to make mobile changes testable
Closed, ResolvedPublic2 Story Points

Description

Currently, the changes only affect the DOM and are not immediately visible in the browser. Create a CSS that make these changes visible to improve testability.

Event Timeline

Tobi_WMDE_SW triaged this task as Normal priority.May 2 2018, 2:23 PM
Tobi_WMDE_SW created this task.
Tobi_WMDE_SW set the point value for this task to 2.
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-05-02 board.

So I simply added

.mw-diff-inline-moved-destination {
        background: PaleTurquoise;
        margin: 3px 0;
}

.mw-diff-inline-moved-source {
        background: PeachPuff;
        margin: 3px 0;
}

to the end of extensions/MobileFrontend/resources/mobile.special.mobilediff.styles/mobilediff.less so a moved paragraph now looks something like this:


The headline here was moved two lines up and spaces where added in the process see
http://wmde-wikidiff2-mobile.wmflabs.org/core/index.php/Special:MobileDiff/2211/2210?mobileaction=toggle_view_mobile

WMDE-Fisch added a comment.EditedMay 3 2018, 3:00 PM

For the record. Before our changes the same thing would have looked like this

see
http://wmde-wikidiff2-unpatched.wmflabs.org/core/index.php/Special:MobileDiff/2211/2210?mobileaction=toggle_view_mobile

Lea_WMDE closed this task as Resolved.May 16 2018, 10:30 AM
Vvjjkkii renamed this task from Create minimal CSS to make mobile changes testable to hsdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: WMDE-Fisch; removed: Aklapper.
CommunityTechBot renamed this task from hsdaaaaaaa to Create minimal CSS to make mobile changes testable.Jul 2 2018, 2:11 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to WMDE-Fisch.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: WMDE-Fisch.